SGML2LATEX(1)

NAME
sgml2latex - create LaTeX, DVI or PostScript output from a SGML source file

SYNOPSIS
sgml2latex [generic-option...] [--output=tex|dvi|ps] [--bibtex] [--makeindex] [--pagenumber=n] --quick file[.sgml]

DESCRIPTION
sgml2latex converts a SGML source file to LaTeX output, using the sgmls(1) parser, and the sgmlsasp(1) translator. Using the LaTeX output, and the latex(1) text formatter, you can then create DVI output, and PostScript output using the dvips(1) converter. Output will appear in file.tex for LaTeX output, file.dvi for DVI output, or file.ps for PostScript output, where file is the name of the SGML source file.

The attribute/value pair "output=latex2e" is set for conditionals.

OPTIONS
sgm2latex accepts all the generic optionsd described in sgmltools(1), and the following specific options:

--output=fmt, -l
    Specify the desired output format. The specifier fmt may be ``tex'', ``dvi'', or ``ps''.

--bibtex, -b
    Process the generated TeX with bibtex(1).

--makeindex, -m
    Generate a TeX index file suitable for processing with makeindex(1) from and <idx> and <cdx> tags present in the SGML source.

--pagenumber, -n
    Set the starting page number in the output DVI or PS file.

--quick, -q
    Do only one pass of LaTeX formatting. This is often not sufficient to produce final output (because of references, etc.) but is useful for spotting TeX errors and justification problems.

--pass, -P
    The argument of the pass option is inserted just after the LaTeX preamble generated by the document-type tag.

file
    The SGML source file, named either file or file.sgml

FILES
Many files and executables in $LINUXDOCLIB and $LINUSDOCBIN are used.

BUGS
None known.

AUTHOR
Greg Hankins <greg.hankins@cc.gatech.edu>, based on scripts by Tom Gordon and Alexander Horz. Rewritten by Cees de Groot <cg@pobox.com>.

SEE ALSO
sgmltools(1), sgml2html(1), sgml2info(1), sgml2lyx(1), sgml2rtf(1), sgml2txt(1), sgmlcheck(1).